<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
  "http://www.w3.org/TR/html4/loose.dtd">
<html >
<head>
   <title> OpenFOAM programmer's C++ documentation
   </title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/mn.html)">
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/mn.html)">
<!-- html,info -->
<meta name="src" content="index.tex">
<meta name="date" content="2007-04-12 00:02:00">
<link rel="stylesheet" type="text/css" href="../Doxygen.css">
<link rel="stylesheet" type="text/css" href="../tabs.css">
<meta name="keywords" content="computational fluid dynamics, CFD, OpenCFD, OpenFOAM, open source CFD, open source">
<meta name="description" content="OpenCFD Ltd, leaders in open source Computational Fluid Dynamics (CFD), the developers and maintainers of OpenFOAM: the open source CFD toolbox. We supply support and contracted developments for OpenFOAM">
</head>
<body>
<a id="openfoam"> </a>
<!-- Top banner -->
<table style="border-width: 0px; width: 800px; background: #ddddff;" cellspacing=0 cellpadding=0>
<tr>
<td style="width: 9px; height:54px"></td>
<td style="width: 250px; height:54px; vertical-align:middle;
horizontal-align: left; ">
<img alt="OpenFOAM logo" src="../OpenFOAMlogo.jpg"> </td>
<td style="width:350px; height:54px; vertical-align:middle;
horizontal-align: left; ">
    <table>
    <tr>
    <td><img alt="The Open Source CFD Toolbox" src="../OpenSourceToolbox.jpg"></td>
    </tr>
    </table>
</td>
</tr>
</table>
<!-- Button banner -->
<table style="border-width: 0px; width: 800px; background: #ffffff;" cellspacing=0 cellpadding=0>
<tr>
<td valign=top>
    <table width=801 border=0 cellspacing=1 cellpadding=0 bgcolor="#ffffff">
    <tr>
    <td class=leftmenu>&nbsp;
    <a href="http://foam.sourceforge.net/doc/Doxygen/html"
    class=menuLefton >Source Guide</a>
    </td>
    <td class=topmenu>
    <a href="http://www.opencfd.co.uk/index.html"
    class=menuTopoff >OpenCFD</a>
    </td>
    <td class=topmenu>
    <a href="http://www.opencfd.co.uk/solutions/index.html"
    class=menuTopoff >Solutions</a>
    </td>
    <td class=topmenu>
    <a href="http://www.opencfd.co.uk/contact/index.html"
    class=menuTopoff >Contact</a>
    </td>
    <td class=topmenu>
    <a href="http://www.opencfd.co.uk/openfoam/index.html"
    class=menuTopoff >OpenFOAM</a>
    </td>
    </tr>
    <tr>
    <td>
    </td>
    </tr>
    </table>
</td>
</tr>
</table>
<table style="border-width: 0px; width: 800px; background: #ffffff;" cellspacing=5 cellpadding=0>
<tr>
<td>
